
# coding: utf-8

import numpy as np
import csv


# Save CSV format containing the multiple ground-truth scores for each video
def generatePredFile(p, subset):
    vnames = []
    with open('./data/gt/'+subset+'_gt.csv', 'rb') as csvfile:
        reader = csv.reader(csvfile, delimiter=',')
        next(reader, None)
        for row in reader:
            vnames.append(row[0])
    csvfile.close()
    with open('./output/pred/predictions.csv', 'wb') as csvfile:
        gtwriter = csv.writer(csvfile, delimiter=',', quotechar='|', quoting=csv.QUOTE_MINIMAL)
        gtwriter.writerow(['VideoName', 'ValueExtraversion', 'ValueAgreeableness', 'ValueConscientiousness', 'ValueNeurotisicm','ValueOpenness'])
        for i in range(0,len(vnames)):
            gtwriter.writerow([vnames[i], p[0][i], p[1][i], p[2][i], p[3][i], p[4][i]])
    csvfile.close()


# Example of generating CSV prediction file with random scores
#### Uncomment these lines to test it
# p = np.random.rand(5,2000)
# p
# generatePredFile(p,'validation')

